Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 2319ed7194f122bf4ff43ec6b7ea796f88df7fb3)
+++ src/Makefile.am	(revision 357fba6ccb2cf9e2d97f501d5968558a706028a5)
@@ -1,4 +1,4 @@
-SOURCE = atom.cpp bond.cpp boundary.cpp builder.cpp config.cpp element.cpp ellipsoid.cpp helpers.cpp linkedcell.cpp moleculelist.cpp molecules.cpp parser.cpp periodentafel.cpp vector.cpp verbose.cpp
-HEADER = boundary.hpp defs.hpp ellipsoid.hpp helpers.hpp linkedcell.hpp molecules.hpp parser.hpp periodentafel.hpp stackclass.hpp vector.hpp
+SOURCE = atom.cpp bond.cpp boundary.cpp builder.cpp config.cpp element.cpp ellipsoid.cpp helpers.cpp linkedcell.cpp moleculelist.cpp molecules.cpp parser.cpp periodentafel.cpp tesselation.cpp tesselationhelpers.cpp vector.cpp verbose.cpp
+HEADER = atom.hpp bond.hpp boundary.hpp defs.hpp ellipsoid.hpp helpers.hpp linkedcell.hpp molecules.hpp parser.hpp periodentafel.hpp stackclass.hpp tesselation.hpp tesselationhelpers.hpp vector.hpp
 
 bin_PROGRAMS = molecuilder joiner analyzer
Index: src/atom.cpp
===================================================================
--- src/atom.cpp	(revision 2319ed7194f122bf4ff43ec6b7ea796f88df7fb3)
+++ src/atom.cpp	(revision 357fba6ccb2cf9e2d97f501d5968558a706028a5)
@@ -5,5 +5,5 @@
  */
 
-#include "molecules.hpp"
+#include "atom.hpp"
 
 /************************************* Functions for class atom *************************************/
@@ -13,13 +13,11 @@
 atom::atom()
 {
-  Name = NULL;
+  father = this;  // generally, father is itself
   previous = NULL;
   next = NULL;
-  father = this;  // generally, father is itself
   Ancestor = NULL;
   type = NULL;
   sort = NULL;
   FixedIon = 0;
-  nr = -1;
   GraphNr = -1;
   ComponentNr = NULL;
@@ -29,8 +27,9 @@
   AdaptiveOrder = 0;
   MaxOrder = false;
+  // set LCNode::Vector to our Vector
+  node = &x;
 };
 
 /** Constructor of class atom.
- *
  */
 atom::atom(atom *pointer)
@@ -41,4 +40,11 @@
   father = this;  // generally, father is itself
   Ancestor = NULL;
+  GraphNr = -1;
+  ComponentNr = NULL;
+  IsCyclic = false;
+  SeparationVertex = false;
+  LowpointNr = -1;
+  AdaptiveOrder = 0;
+  MaxOrder = false;
   type = pointer->type;  // copy element of atom
   x.CopyVector(&pointer->x); // copy coordination
@@ -54,5 +60,4 @@
 atom::~atom()
 {
-  Free((void **)&Name, "atom::~atom: *Name");
   Free((void **)&ComponentNr, "atom::~atom: *ComponentNr");
 };
Index: src/atom.hpp
===================================================================
--- src/atom.hpp	(revision 357fba6ccb2cf9e2d97f501d5968558a706028a5)
+++ src/atom.hpp	(revision 357fba6ccb2cf9e2d97f501d5968558a706028a5)
@@ -0,0 +1,55 @@
+/*
+ * atom.hpp
+ *
+ *  Created on: Aug 3, 2009
+ *      Author: heber
+ */
+
+#ifndef ATOM_HPP_
+#define ATOM_HPP_
+
+using namespace std;
+
+#include "periodentafel.hpp"
+#include "tesselation.hpp"
+#include "vector.hpp"
+
+/** Single atom.
+ * Class incorporates position, type
+ */
+class atom : public TesselPoint {
+  public:
+    Vector x;       //!< coordinate array of atom, giving position within cell
+    Vector v;       //!< velocity array of atom
+    element *type;  //!< pointing to element
+    atom *previous; //!< previous atom in molecule list
+    atom *next;     //!< next atom in molecule list
+    atom *father;   //!< In many-body bond order fragmentations points to originating atom
+    atom *Ancestor; //!< "Father" in Depth-First-Search
+    //char *Name;      //!< unique name used during many-body bond-order fragmentation, comes from TesselPoint
+    int FixedIon;   //!< config variable that states whether forces act on the ion or not
+    int *sort;      //!< sort criteria
+    //int nr;         //!< continuous, unique number, comes from TesselPoint
+    int GraphNr;      //!< unique number, given in DepthFirstSearchAnalysis()
+    int *ComponentNr;//!< belongs to this nonseparable components, given in DepthFirstSearchAnalysis() (if more than one, then is SeparationVertex)
+    int LowpointNr; //!< needed in DepthFirstSearchAnalysis() to detect nonseparable components, is the lowest possible number of an atom to reach via tree edges only followed by at most one back edge.
+    bool SeparationVertex; //!< whether this atom separates off subsets of atoms or not, determined in DepthFirstSearchAnalysis()
+    bool IsCyclic;        //!< whether atom belong to as cycle or not, determined in DepthFirstSearchAnalysis()
+    unsigned char AdaptiveOrder;  //!< current present bond order at site (0 means "not set")
+    bool MaxOrder;  //!< whether this atom as a root in fragmentation still creates more fragments on higher orders or not
+
+  atom();
+  atom(class atom *pointer);
+  ~atom();
+
+  bool Output(int ElementNo, int AtomNo, ofstream *out, const char *comment = NULL) const;
+  bool OutputXYZLine(ofstream *out) const;
+  atom *GetTrueFather();
+  bool Compare(atom &ptr);
+
+  private:
+};
+
+ostream & operator << (ostream &ost, const atom &a);
+
+#endif /* ATOM_HPP_ */
Index: src/bond.cpp
===================================================================
--- src/bond.cpp	(revision 2319ed7194f122bf4ff43ec6b7ea796f88df7fb3)
+++ src/bond.cpp	(revision 357fba6ccb2cf9e2d97f501d5968558a706028a5)
@@ -5,5 +5,5 @@
  */
 
-#include "molecules.hpp"
+#include "bond.hpp"
 
 
Index: src/bond.hpp
===================================================================
--- src/bond.hpp	(revision 357fba6ccb2cf9e2d97f501d5968558a706028a5)
+++ src/bond.hpp	(revision 357fba6ccb2cf9e2d97f501d5968558a706028a5)
@@ -0,0 +1,54 @@
+/*
+ * bond.hpp
+ *
+ *  Created on: Aug 3, 2009
+ *      Author: heber
+ */
+
+#ifndef BOND_HPP_
+#define BOND_HPP_
+
+using namespace std;
+
+#include "atom.hpp"
+
+/** Bonds between atoms.
+ * Class incorporates bonds between atoms in a molecule,
+ * used to derive tge fragments in many-body bond order
+ * calculations.
+ */
+class bond {
+  public:
+    atom *leftatom;    //!< first bond partner
+    atom *rightatom;  //!< second bond partner
+    bond *previous; //!< previous atom in molecule list
+    bond *next;     //!< next atom in molecule list
+    int HydrogenBond;  //!< Number of hydrogen atoms in the bond
+    int BondDegree;    //!< single, double, triple, ... bond
+    int nr;           //!< unique number in a molecule, updated by molecule::CreateAdjacencyList()
+    bool Cyclic;      //!< flag whether bond is part of a cycle or not, given in DepthFirstSearchAnalysis()
+    enum EdgeType Type;//!< whether this is a tree or back edge
+
+  atom * GetOtherAtom(atom *Atom) const;
+  bond * GetFirstBond();
+  bond * GetLastBond();
+
+  bool MarkUsed(enum Shading color);
+  enum Shading IsUsed();
+  void ResetUsed();
+  bool Contains(const atom *ptr);
+  bool Contains(const int nr);
+
+  bond();
+  bond(atom *left, atom *right);
+  bond(atom *left, atom *right, int degree);
+  bond(atom *left, atom *right, int degree, int number);
+  ~bond();
+
+  private:
+    enum Shading Used;        //!< marker in depth-first search, DepthFirstSearchAnalysis()
+};
+
+ostream & operator << (ostream &ost, const bond &b);
+
+#endif /* BOND_HPP_ */
